Tuesday, April 4, 2017

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova

Kurang lebih error nya seperti gambar di atas.
Error ini muncul pada saat mengkombinasikan cordova dengan sdk dari android studio yang baru, yaitu versi 2.3 .

Solusi untuk masalah ini ada beberapa tahapan :

#PERTAMA
Jika android studio sudah selesai di install, coba daftarkan SDK ke environment variable, caranya :
- masuk ke explorer, klik kanan pada "my computer" (pada win 10 namanya This PC), pilih properties
- selanjutnya klik menu "advanced system setting" yang ada di sidebar left.
- lalu akan munctul jendela baru kecil, pada tab "advanced" di bagian bawah ada tombol "environment variables...", klik, maka akan muncul window baru lagi.
- buat variable baru, pada variable name isikan ANROID_HOME, pada variable value isikan path SDK berdasarkan yang ada di komputer kamu.

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova

- jika sudah maka selanjutnya, pada system variable cari variable benama "path" lalu klik edit dan tambahkan value baru ini %ANDROID_HOME%\platform-tools\ , lihat gambar di bawah.

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova

#KEDUA
Unduh "the Command Line Tools" yang ada di https://developer.android.com/studio/index.html (scroll ke bawah, ada di bagian bawah), pilih sesuai environment yang kamu pakai.

Alternative bisa di unduh disini : http://www.techspot.com/downloads/5425-android-sdk.html

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova

#KETIGA
Jika sudah selesai di unduh, extrak file .ZIP / .RAR kemudian salin semua isinya ke :
C:\Users\<username>\AppData\Local\Android\sdk\tools

 #KEEMPAT
Monggo di coba cordovanya :)

Cara memperbaiki Error : Could not find gradle wrapper within Android SDK. Might need to update your Android SDK di cordova


Note : Untuk kasus di environment yang lain (mac, linux) cara memperbaikinya hampir sama dengan yang saya di tulis disini. Cuma yang membedakan hanya letak SDK-nya saja.

Mungkin pembahasan kali ini saya cukupkan sampai disini, semoga bermanfaat.

Terima kasih


Saya hanya seorang "newbie" yang baru bisa ngoding lohor kemarin.


EmoticonEmoticon